(function ($, Drupal) {
    "use strict";

    Drupal.behaviors.datatables_filter = {
        attach: function (context, settings) {
            $(".datatables-enabled", context)
                .once("datatables_filter")
                .each(function () {
                    var $this = $(this);
                    var $thisSettings = $.parseJSON(
                        $this.attr("data-datatables-filter-settings")
                    );
                    $this.dataTable($thisSettings);
                });
        },
        detach: function (context, settings, trigger) {
        }
    };
})(jQuery, Drupal);